package com.mt.wms.empty.params;


import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Apms结束处理", description = "Apms结束处理")
public class ApmsEndProcess extends BaseParam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "生产单编号,创建成功后返回的编号", required = false)
    private String sheetNo;

    @ApiModelProperty(value = "结束处理时间:yyyy-MM-dd HH:mm:ss", required = true)
    private String endTime;

    @ApiModelProperty(value = "结束处理人:为APMS账号", required = true)
    private String endUser;
}

