package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author: liguanghao
 * @Date: 2022/3/3 23:09
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "自动任务查询参数", description = "自动任务查询参数")
public class AutoTaskQueryParam extends BasePageParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "autoTaskId", required = true)
    private Long id;

    @ApiModelProperty(value = "任务状态：执行中、未执行", required = true)
    private Integer status;
}
