package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Apms生产单详细", description = "Apms生产单详细")
public class CreateItem extends BaseParam {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "标识卡号", required = true)
    private String itemCode;

    @ApiModelProperty(value = "加工数量", required = true)
    private Integer quantity;

    @ApiModelProperty(value = "加工重量", required = true)
    private Double weight;
}
