package com.mt.wms.common.vo;

import com.mt.wms.core.base.BaseVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </P>
 *
 * @author FanYi
 * @date 2020/7/8
 * @since 1.0
 */
@ApiModel("文件对象")
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Data
public class SysFileVo extends BaseVo {
    @ApiModelProperty("文件ID")
    private Long fileId;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("类型 1图片 2PDF")
    private Integer fileType;

    @ApiModelProperty("下载路径")
    private String fileUrl;
}
