package com.mt.wms.empty.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @Author: LGH
 * @Date: 2022/12/27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "消耗数据视图对象", description = "用于查询消耗数据")
public class CountEleVo {
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间", example = "0")
    private LocalDateTime createTime;
    /**
     * 消耗值
     */
    @ApiModelProperty(value = "消耗值", example = "0.0")
    private Float totalBat;

    /**
     * 名称
     */
    @ApiModelProperty(value = "任务id", example = "0.0")
    private Long taskId;
}
